.gpa-resource-selector {
  display: flex;
  height: 100%;
  flex-direction: column;

  &__items {
    flex-grow: 1;
    overflow-y: hidden;

    &__title {
      display: flex;
      align-items: center;
      border-bottom: 1px solid var(--border-color);
      background-color: var(--component-content-background);
      gap: var(--spacer-small);

      h3 {
        margin: var(--spacer-small) 0;
      }
    }
  }

  .rui-search-form {
    position: relative;
    flex: none;
    padding: var(--spacer-default);
    border-bottom: 1px solid var(--border-color);
  }
}

.rui-modal {
  --modal-height: calc(100vh - (var(--spacer-medium) * 2));

  // Make the virtual scroll list working when selector is in a modal
  .gpa-resource-selector {
    &__items {
      max-height: calc(var(--modal-height) - (3 * 3.2rem));
    }

    &--with-filters {
      .gpa-resource-selector__items {
        max-height: calc(var(--modal-height) - (4 * 3.2rem));
      }
    }
  }
}
